import { request } from "../request";
import { isString } from "../../utils/string/isString";
export const getUserLogin = (tenant, redirectUri) => request
    .get("login", {
    searchParams: {
        ...(isString(tenant) && { tenant }),
        ...(isString(redirectUri) && { redirectUri }),
    },
})
    .json();
export const fetchTokenByCode = (code, redirectUri) => request
    .post("token", {
    searchParams: { code, ...(isString(redirectUri) && { redirectUri }) },
})
    .json();
export const fetchTokenByRefresh = (refresh) => request
    .post("token", { searchParams: { refresh } })
    .json();
