export interface RequestInterface {
    id: string;
    method: string;
    url: string;
    body: any;
}
export interface ResponseInterface {
    status: number;
    body: any;
}
export declare const unknownRequest: RequestInterface;
export declare const unknownResponse: ResponseInterface;
export declare class BackendError extends Error {
    readonly request: RequestInterface;
    readonly response: ResponseInterface;
    date: Date;
    metadata: Record<string, any>;
    constructor(request?: RequestInterface, response?: ResponseInterface, message?: string);
    addTag(key: string, value: any): void;
}
