import type { QueryOptionsInterface } from "./useQuery";
import type { ComputedRef, Ref } from "vue";
import type { ApolloQueryResult } from "@apollo/client";
import type { ApolloError } from "@apollo/client/errors";
interface EdgeOptionsInterface extends QueryOptionsInterface {
    connection: string;
    isBackward?: boolean;
    limit?: number;
    append?: boolean;
}
export declare type Edge<T> = {
    isLoading: ComputedRef<boolean>;
    isLoadingMore: ComputedRef<boolean>;
    error: Ref<ApolloError | null>;
    edges: ComputedRef<Array<{
        node: T;
        cursor: string;
    }>>;
    nodes: ComputedRef<Array<T>>;
    totalCount: ComputedRef<number>;
    hasMore: ComputedRef<boolean>;
    load: () => void | PromiseLike<ApolloQueryResult<any>>;
    loadMore: () => undefined | PromiseLike<ApolloQueryResult<any>>;
    disable: () => void;
    enable: () => void;
};
export declare const useEdge: <TNode = any>(name: string, query: string, options: EdgeOptionsInterface) => Edge<TNode>;
export {};
