import { computed, onBeforeUnmount, onMounted, ref } from "vue";
const currentTime = ref(Date.now());
let interval;
let subscribers = 0;
export const useClock = () => {
    onMounted(() => {
        subscribers++;
        if (interval == null) {
            interval = setInterval(() => {
                currentTime.value = Date.now();
            }, 1000);
        }
    });
    onBeforeUnmount(() => {
        subscribers--;
        if (subscribers <= 0) {
            subscribers = 0;
            clearInterval(interval);
            interval = null;
        }
    });
    return {
        unix: computed(() => Math.floor(currentTime.value / 1000)),
    };
};
